{{- $fullname := include "vCluster.fullname" . -}}
{{- $name := include "vCluster.releaseName" . -}}
apiVersion: v1
kind: Secret
metadata:
  labels:
    argocd.argoproj.io/secret-type: cluster
  name: cluster-{{ $fullname }}
  namespace: argocd
type: Opaque
stringData:
  config: '{"bearerToken": "token", "tlsClientConfig": { "insecure" : true }}'
  name: {{ $fullname }}
  server: https://{{ $fullname }}.{{ .Release.Namespace }}
